<?php

namespace ManiaLivePlugins\Flo\Dedimania\Structures;

use ManiaLivePlugins\Flo\Dedimania\Structures\Record;

class Challenge extends \ManiaLive\DedicatedApi\Structures\AbstractStructure
{
	public $uid;
	public $totalRaces;
	public $totalPlayers;
	public $timeAttackRaces;
	public $timeAttackPlayers;
	public $numberOfChecks;
	public $serverMaxRecords;
	public $records;
	
	static public function fromArray($array)
	{
		$challenge = parent::fromArray($array);
		
		// parse records into objects ...
		if (isset($array['Records']))
		{
			$challenge->records = array();
			$records = $array['Records'];
			foreach ($records as $record)
			{
				$challenge->records[] = Record::fromArray($record);
			}
		}
		
		return $challenge;
	}
}

?>